Bug 6186 - Change to DOCTYPE declaration causing validation errors
Summary: Change to DOCTYPE declaration causing validation errors
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 5917
  Show dependency treegraph
 
Reported: 2011-04-13 19:11 UTC by Owen Leonard
Modified: 2012-10-25 23:04 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (1.88 KB, patch)
2011-04-14 12:39 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-04-13 19:11:28 UTC
The validator says:

"This document uses an inconsistent DOCTYPE declaration. The System Identifier http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd declares the XHTML 1.0 Transitional document type, but the associated Public Identifier -//W3C//DTD Xhtml 1.0 Transitional//EN does not match this document type.

The recommended Public Identifier for http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd is -//W3C//DTD XHTML 1.0 Transitional//EN."
Comment 1 Chris Cormack 2011-04-14 03:26:38 UTC
Did we change the DOCTYPE ... is this on every page owen?
Comment 2 Owen Leonard 2011-04-14 12:39:56 UTC
Created attachment 3921 [details] [review]
Proposed fix

In the transition to Template::Toolkit a part of the DOCTYPE got its case switched, making it invalid: XHTML was changed to Xhtml.

Correcting the case in the two include files (one for OPAC, one for staff client) quiets errors in the validator.
Comment 3 Chris Cormack 2011-04-14 22:19:47 UTC
Pushing this patch, please test